// ----------------------------------------------------- 
// zeitstr.cpp 
// Demo fr Stringoperationen mit einem String, 
// der die aktuelle Zeit enthlt.
// ----------------------------------------------------- 

#include <iostream>
#include <string>
#include <ctime>       // fr time(), ctime(), ...
using namespace std;

int main()
{
   time_t sek;
   time( &sek);               // aktuelle Zeit (Sekunden)
                              // in die Variable sek holen.
   string zeit = ctime( &sek);    // Sekunden in String 
                                  // konvertieren.

   cout << "Datum und Uhrzeit: " << zeit << endl;

   string std( zeit, 11, 2);   // Teilstring von zeit,
                               // ab Position 11, 2 Zeichen.
   string gruss("Einen schoenen guten ");

   if( std < "10")             // Strings vergleichen
       gruss += "Morgen!";
   else if( std < "17") 
       gruss += "Tag!";
   else
       gruss += "Abend!";

   cout << gruss << endl; 

   return 0;
}
