//  random.cpp
//  Beispiel fr berladene Funktionen.
//-----------------------------------------------------

#include <iostream>
#include <iomanip> 
#include <cstdlib>     // fr rand(), srand()
#include <ctime>       // fr time()
using namespace std;
 
bool setrand = false; 
inline void init_random()  // Zufallsgenerator mit
{                          // akt. Zeit initialisieren
   if( !setrand )
   {
      srand((unsigned int)time(NULL));
      setrand = true;
   }
}
 
inline double random()     // Liefert Zufallszahl x
{                          // mit  0.0 <= x <= 1.0
   init_random(); 
   return  (double)rand() / (double)RAND_MAX; 
}
inline int random(int start, int ende)  // liefert 
{                               // Zufallszahl n mit
   init_random();               // start <= n <= ende
   return (rand() % (ende+1 - start) + start); 
}

// Funktionen random() und random(int,int) testen:
int main()
{
   int i;
   cout << "5 Zufallszahlen zwischen 0.0 und 1.0 :"
        << endl;
   for( i = 0; i < 5; ++i)
      cout << setw(10) << random();
   cout << endl;
 
   cout << "\nUnd jetzt 5 ganze Zufallszahlen "
           "zwischen -100 und +100 :" << endl;  
   for( i = 0; i < 5; ++i)
      cout << setw(10) << random(-100, +100);
   cout << endl;
 
   return 0;
}
