// ---------------------------------------------------
// artike_t.cpp 
// Die Klasse Artikel mit Kopierkonstruktor testen.
// ---------------------------------------------------

#include "artikel.h"      // Definition der Klasse

#include <iostream>
#include <string>
using namespace std;

void test( Artikel a);

// -- Objekte der Klasse Artikel erzeugen und zerstren --
 
Artikel artikel1( 1111,"Zelt", 159.9);

int main()
{
   cout << "\nDie erste Anweisung in main().\n" << endl;
  
   Artikel artikel2( 2222,"Jogging-Schuhe", 199.99);

   cout << "\nDer erste Aufruf von test()." << endl;
   test(artikel1);

   cout << "\nDer zweite Aufruf von test()." << endl;
   test(artikel2);

   cout << "\nDie letzte Anweisung in main().\n"
        << "\nEs gibt noch " << Artikel::getAnzahl()
        << " Objekte\n" << endl;

   return 0; 
}

void test( Artikel a)
{
   cout << "\nDas uebergebene Objekt:" << endl;
   a.print();
   
   static Artikel rad( 3333, "Fahrrad", 999.0);
   cout << "\nDas statische Objekt der Funktion test():"
        << endl; 
   rad.print();
     
   cout << "\nDie letzte Anweisung in der Funktion test()"
        << endl;
}
