// namesp1.cpp
// Namensbereiche definieren und testen.
// ----------------------------------------------------
#include <string>       // string im Namensbereich std

namespace MySpace
{
   std::string meld = "Im Namensbereich MySpace";
   int anzahl = 0;        // Definition: MySpace::anzahl
   double f( double);     // Prototyp:   MySpace::f()
}
namespace YourSpace
{
   std::string meld = "Im Namensbereich YourSpace";
   void f( )                     // Definition von
   {                             // YourSpace::f()
      meld += '!'; 
   } 
}
namespace MySpace              // Wieder in MySpace.
{
   int g(void);           // Prototyp von MySpace::g()
   double f( double y)           // Definition von
   {                             // MySpace::f() 
     return y / 10.0;
   }
}

int MySpace::g( )              // separate Definition 
{                              // von MySpace::g()
   return ++anzahl;
}

#include <iostream>   // cout, ... im Namensbereich std
int main()
{
   std::cout << "Test mit Namensbereichen!\n\n" 
             << MySpace::meld << std::endl;
   MySpace::g();
   std::cout << "\nReturn-Wert g(): " << MySpace::g()
             << "\nReturn-Wert f(): " << MySpace::f(1.2)
             << "\n---------------------" << std::endl;
   YourSpace::f();
   std::cout << YourSpace::meld << std::endl;

   return 0;
}
