//  zahlenSp.cpp  :  Ein Zahlenspiel gegen den Computer 
// ------------------------------------------------------------

#include <cstdlib>      // Prototypen von srand() und rand()
#include <ctime>        // Prototyp von time() 
#include <iostream>
using namespace std;

int main()
{
    int  zahl, versuch; 
    char wb = 'w';           // wiederholen oder beenden
    time_t sek;

    time( &sek);             // Zeit in Sekunden lesen 
    srand((unsigned)sek);    // Zufallsgenerator initialisieren

    cout << "\n\n          "
         << " *******    EIN  ZAHLENSPIEL    *******" << endl;
    
    cout << "\n\nDie Spielregeln:" << endl;

    while( wb == 'w')
    {
       cout << "Ich merke mir eine Zahl zwischen 1 und 15\n"
            << "Sie haben drei Versuche die Zahl zu raten!\n"
            << endl;

       zahl = (rand() % 15) + 1;

       bool gefunden = false;
       int count = 0;
       while( !gefunden  && count < 3 )
       {
          cin.sync();              // Eigabepuffer lschen 
          cin.clear();
          cout << ++count << ". Versuch:   ";
          cin >> versuch;

          if( versuch < zahl)      cout << "zu klein!" << endl;
          else if( versuch > zahl) cout << "zu gross!" << endl;
          else                     gefunden = true;
       }

       if( !gefunden)
         cout << "\nIch habe gewonnen!"
              << " Die gesuchte Zahl: " << zahl << endl;
       else
         cout << "\nBravo! Sie haben gewonnen!" << endl;

       cout << "Wiederholen --> <w>    Beenden --> <b>" << endl;
       do
         cin.get(wb);
       while( wb != 'w' &&  wb != 'b');
    }
    return 0;  
}
