// ---------------------------------------------------
// laufband.cpp 
// Laufband mit einer Meldung ausgeben.
// ---------------------------------------------------

#include <conio.h>                   // Fr kbhit()
#include <iostream>
#include <iomanip>
using namespace std;

#define DELAY  10000000L             // Verzgerung 

inline void cls()        // Bildschirm lschen
{
   cout << "\033[2J\n";
}

inline void locate(int z, int s)  // Cursor in Zeile z
{                                 // und Spalte s
   cout << "\033[" << z << ';' << s << 'H';
}

char meld[] = "* * *  P A U S E  * * * ";

int main()
{
   int i, start = 0, len = strlen(meld);

   cls();
   locate(24, 20);
   cout << "---  Ende mit Unterbrechungs-Taste (^C) ---"; 

   while( true)
   {
     locate( 12, 25);
     
     // Ausgabe ab Index start
     i = start;
     do
     {
         cout << meld[i++];
         i = i % len;             // if( i == len) i = 0;
     }
     while( i != start);
     cout << endl;         // Pufferinhalt zum Bildschirm
     
     // Kurz warten
     for( int count = 0; count < DELAY; ++count)
         ;

     // Fr nchste Ausgabe
     ++start;
     start %= len;                // start = start % len;
   }
   cls();
   return 0;
}



