// Euro_t.cpp 
// Konvertierungen der Klasse Euro testen.
// ---------------------------------------------------

#include "Euro.h"         // Definition der Klasse
#include <iostream>
using namespace std;

int main()
{
  cout << " * * *  Konvertierungen testen  * * * \n"
       << endl;

  Euro gehalt( 8888,80);
  double x(0.0);

  gehalt += 1000;       // implizit int -> Euro
  gehalt += 0.10;       // implizit double -> Euro
  
  x = gehalt;           // implizit Euro -> double
  
  x = (double)gehalt;   // explizit Euro -> double
  x = gehalt.operator double();  // auch mglich!

  // Konstruktor-Schreibweise ist auch fr
  // Standard-Typen zulssig:
  x = double(gehalt); 

  int i = gehalt;       // Euro -> double -> int

  cout << " gehalt = " << gehalt << endl;
  cout << "      x = " << x << endl;
  cout << "      i = " << i << endl;
  
  return 0;
}
/* 
Ausgabe:

  * * *  Konvertierungen testen  * * *

 gehalt = 9888,90 Euro
      x = 9888.9
      i = 9888
*/