//  toupper.cpp
//  Filter zur Umwandlung in Grobuchstaben
//  Umlaute und  werden im erweiterten ASCII-Zeichensatz
//  (= OEM-Zeichensatz) dargestellt, da dies der Zeichensatz
//  zur Ausfhrungszeit ist.
//  Die Eingabe von der Tastatur mit
//  Strg+Z (DOS/Windows) bzw. Strg+D (Unix) beenden.
// ------------------------------------------------------------

#include <iostream>
#include <cctype>
using namespace std;

int main()
{
   char c;
   while ( cin.get(c) )       // solange ein Zeichen 
   {                          // gelesen werden kann.
      switch( c ) 
      {  
         case ''   :  c = '';         // deutsche Umlaute
//       case '\x84':  c = '\x8E';      // Zeichen 
                       break;

         case ''   :  c = '';         // Zeichen 
//       case '\x94':  c = '\x99';
                       break;

         case ''   :  c = '';         // Zeichen 
//       case '\x81':  c = '\x9A';
                       break; 

         case ''   :                   // Zeichen 
//       case '\xE1':  
                       cout.put('S'); c = 'S';
                       break;

         default:   c = toupper(c);    // andere Zeichen
       }
       cout.put(c);     // umgewandeltes Zeichen ausgeben
   }
   return 0;
}
