// Ref4.cpp 
// Ausdrcke mit Referenztyp am Beispiel der 
// Zuweisungs-Operatoren fr Strings.
// --------------------------------------------------

#include <iostream>
#include <string>
#include <cctype>                // Fr toupper()
using namespace std;

void strToUpper( string& );      // Prototyp.

int main()
{
   string text("Test mit Zuweisungen\n");

   strToUpper(text);
   cout << text << endl;

   strToUpper( text = "Sauer");
   cout << text << endl;

   strToUpper( text += " macht lustig!\n");
   cout << text << endl;
          
   return 0;
}

void strToUpper( string& str)    // Den Inhalt von str in
{                                // Grobuchstaben umwandeln.
    int len = str.length();

    for( int i=0; i < len; ++i)
      str[i] = toupper( str[i]);
}
