// ---------------------------------------------------
// Ampel.h 
// enum-Konstanten in einer Klasse verwenden.
// ---------------------------------------------------
#ifndef  _AMPEL_
#define  _AMPEL_

#include <iostream>
using namespace std;

class Ampel
{
  public:     // Aufzhlung fr Klasse Ampel
    enum Status { aus, rot, gruen, gelb };

  private:
    Status status;

  public:  
    Ampel( Status s = aus) : status(s) {}
    Status getStatus() const {  return status; }
    void setStatus( Status s)
    {
      switch(s)
      {
        case aus:    cout << "    AUS      ";  break;
        case rot:    cout << "    ROT      ";  break;
        case gruen:  cout << "    GRUEN    ";  break;
        case gelb:   cout << "    GELB     ";  break;
        default:     return; 
      }
      status = s;
    }
};

#endif   // _AMPEL_