// --------------------------------------------------------------
//  hide_t.cpp:   Filter zur Verschluesselung von Daten.            
//                In allen Zeichen, die keine Steuerzeichen sind,  
//                werden die Bits in den Positionen  5 und 6,      
//                0 und 4,  1 und 3  vertauscht.                   
//
//                Module:  hide_t.cpp,  swapbits.cpp                     
//  
//  Aufruf:       hide_t [ < Quelldatei ] [ > Zieldatei ] 
// --------------------------------------------------------------
#include <iostream>
using namespace std;

int swapbits( int ch, int bitnr1, int bitnr2);       // Prototyp 

int main()                                // Daten verschluesseln 
{
   int c;
   while( (c = cin.get()) != EOF)
   {
      if( c >= 32)                             // Steuerzeichen? 
      {
         c = swapbits(c, 5, 6);                // Bits tauschen  
         c = swapbits(c, 0, 4);
         c = swapbits(c, 1, 3);
      }
      cout << (char)c;
   }
   return 0;
}
