// person.h
// Eine einfache Klasse Person.
// --------------------------------------------------
#ifndef PERSON_H
#define PERSON_H

#include <iostream>
#include <string>

class Person
{  
    std::string name;
  public:
	Person( const std::string n = "NN") : name(n) {}
    ~Person() { std::cout << "Destruktor fuer " << name << std::endl; }
	void setName(const std::string& n) { name = n; }
	const std::string& getName() const { return name; }
};

inline std::ostream& operator<<( std::ostream& os, const Person& p)
{
    std::cout << p.getName();
    return os;
}

#endif    // PERSON_H
