// ---------------------------------------------------
// bubble.cpp 
// Ganze Zahlen in einen Vektor einlesen,
// aufsteigend sortieren und wieder ausgeben.
// ---------------------------------------------------

#include <iostream>
#include <iomanip>
using namespace std;

#define MAX  100                     // Maximale Anzahl
long zahl[MAX];

int main()
{
   int i, anz;                       // Index, Anzahl

   cout << "\nG a n z e  Z a h l e n  s o r t i e r e n\n"
        << endl;

   // Zahlen einlesen:
   cout << "Bis zu 100 ganze Zahlen eingeben\n"
        << "(Abbruch mit einem Buchstaben):" << endl;
   for( i = 0; i < MAX  &&  cin >> zahl[i]; ++i)
       ;
   anz = i;

   // Zahlen sortieren
   bool sortiert = false;        // Noch nicht sortiert. 
   long hilf;                    // Zum Tauschen.
   int  ende = anz;              // Ende eines Durchlaufs.

   while( !sortiert)             // Solange noch nicht
   {                             // sortiert.
     sortiert = true;
     --ende;

     for( i = 0; i < ende; ++i)  // Benachbarte Zahlen
     {                           // vergleichen.
       if( zahl[i] > zahl[i+1])
       {
          sortiert = false;      // Noch nicht sortiert.
          hilf     = zahl[i];    // Tauschen.
          zahl[i]  = zahl[i+1];
          zahl[i+1]= hilf;
       }
     }
   }

   // Zahlen ausgeben
   cout << "Die sortierten Zahlen:\n" << endl;

   for( i = 0; i < anz; ++i)
      cout << setw(10) << zahl[i];
   cout << endl;

   return 0;
}
