// Euro_E_t.cpp 
// Explizite Konvertierungen der Klasse Euro testen.
// ---------------------------------------------------

#include "Euro_Ex.h"        // Definition der Klasse
#include <iostream>
using namespace std;

int main()
{
  Euro gehalt( 8888.8);     // double-Konstruktor 
  double x(0.0);

  /* Nicht mehr mglich:
  gehalt += 1000;           // implizit int -> Euro
  gehalt += 0.10;           // implizit double -> Euro
  gehalt = 7777.77; 
  
  x = gehalt;               // implizit Euro -> double
  x = (double)gehalt;       // Keine Methode operator double()
  */

  // Ok sind folgende explizite Konvertierungen
  gehalt = Euro( 7777.77);  // explizit double -> Euro
  gehalt += Euro(1000.10);  

  x = gehalt.asDouble();    // explizit mit Methode
                            // Euro -> double
 
  int i = gehalt.asDouble(); // Euro -> double -> int

  cout << " Gehalt = " << gehalt << endl;
  cout << "      x = " << x << endl;
  cout << "      i = " << i << endl;
  
  return 0;
}
