// uniquePtr1.cpp
// Die Konstruktoren der Klasse std::unique_ptr<T>
// -------------------------------------------------
#include <iostream>
#include <memory>
using namespace std;

int main()
{
   unique_ptr<int>  up1,              // Default-Konstruktor.
                    up2(new int(20)); // Konstruktor fr 
                                      // int-Zeiger.
   cout << " up1 = " << (void*)up1.get() << endl;   // Null
   cout << " up2 = " << (void*)up2.get() << endl;   // Eine Adresse
   cout << "*up2 = " << *up2 << endl;               // *up2 = 20

// unique_ptr<int> up3(up2);          // Compiler-Fehler!
                                      // Kein Kopierkonstruktor! 
   unique_ptr<int> up3( move(up2));   // OK! Move-Konstruktor.
   // up3 besitzt jetzt den Speicher und up2 ist Null.
   *up3 += 10;
   cout << "*up3 = " << *up3 << endl;               // *up3 = 30
   return 0;
}
