//  aufruf.cpp
//
//  Berechnung von Potenzwerten
//  mit der Standardfunktion pow()

#include <iostream>      // Deklaration von cout
#include <cmath>         // Prototyp von pow(), also
                         // double pow( double, double);
using namespace std;

int main()
{
    double x = 2.5, y;

    // Anhand des Prototyps erzeugt der Compiler den 
    // richtigen Aufruf, bzw. eine Fehlermeldung!

    // Berechnung von x hoch 3:
//  y = pow("x", 3.0);   // Fehler! String ist keine Zahl
//  y = pow(x + 3.0);    // Fehler! Nur ein Argument
    y = pow(x, 3.0);     // ok! Return-Wert an y zuweisen.
    y = pow(x, 3);       // Auch ok! Compiler wandelt den
                         // int-Wert 3 in double um.

    cout << "2.5 hoch 3 ergibt:       " 
         << y << endl;

    // Mit der Funktion pow() kann gerechnet werden:
    cout << "2 + (5 hoch 2.5) ergibt: " 
         <<  2.0 + pow(5.0, x) << endl;

    return 0;
}
