//  ball1.cpp
//  Simuliert einen springenden Ball
//  Hinweis: Programm mit Strg+C beenden.
//  --------------------------------------------------
//  Statt der ANSI-Bildschirmsteuerzeichen werden hier
//  die systemabhngigen Funktionen der Windows-API 
//  (API == Application Programming Interface) verwendet.
// ----------------------------------------------------- 

#include <iostream>
#include <string>
using namespace std;

#include "..\..\console\console.h"       // Win32 Konsolenfunktionen

#define  CLS          cls()              // Bildschirm loeschen
#define  LOCATE(z,s)  setCursor(z-1,s-1) // Cursor in Zeile z, 
                                         // Spalte s positionieren.
#define DELAY  50000000L                 // Verzgerung

void main()
{
   int x = 2, y = 3, dx = 1, geschw = 0;
   string boden(79, '-'),
          header = "****  SPRINGENDER BALL  ****";

   CLS;
   LOCATE(1,25);  cout << header;
   LOCATE(25,1);  cout << boden;

   while(true)      // Ball "immer" springen lassen
   {
     LOCATE(y,x);
     cout << 'o' << endl;              // Ball anzeigen
     for( long warten = 0; warten < DELAY; ++warten)
       ;

     if(x == 1 || x == 79) dx = -dx;   // An einer Wand?
     if( y == 24 )                     // Am Boden?
     {
       geschw = - geschw;
       if( geschw == 0 ) geschw = -7;  // Neu anstossen
     }
     geschw += 1;                 // Beschleunigung = 1

     LOCATE(y,x); cout <<  ' ';   // Anzeige lschen
     y += geschw;  x += dx;       // Neue Position
   }
}
