// -------------------------------------------------------- 
//  ball2.cpp
//  Simuliert einen springenden Ball
//  Kommandos: Taste [Esc] = Beenden,
//             Taste [+] = Schneller, Taste [-] = Langsamer
//  -------------------------------------------------------
//  Statt der ANSI-Bildschirmsteuerzeichen werden hier
//  die systemabhngigen Funktionen der Windows-API 
//  (API == Application Programming Interface) verwendet.
// ----------------------------------------------------- 

#include <iostream>
#include <string>
using namespace std;

#include <conio.h>            // Fr kbhit() und getch()
#include "..\Aufg1\myMakros.h"

#define  ESC   27             // ESC beendet das Programm

unsigned long delay = 100L;   // Verzgerung in Millisekunden

int main()
{
   int x = 2, y = 2, dx = 1, geschw = 0;
   bool ende = false;
   string boden(80, '-'),
          header   = "****  SPRINGENDER BALL  ****",
          commands = "[Esc] = Beenden     "
                     "[+] = Schneller     [-] = Langsamer";

   FARBE(WEISS,BLAU);
   CLS;
   LOCATE(1,25);  cout << header;
   LOCATE(24,1);  cout << boden;
   LOCATE(25,10); cout << commands;

   while( !ende)            // solange das Ende-Flag
   {                        // nicht gesetzt ist.
     LOCATE(y,x);  cout << 'o';         // Ball anzeigen
 
     Sleep(delay);                      // Etwas warten

     if(x == 1 || x == 79) dx = -dx;    // An einer Wand?
     if( y == 23 )                      // Am Boden?
     {
       geschw = - geschw;
       if( geschw == 0 ) geschw = -7;   // Neu anstossen
     }
     geschw += 1;                  // Beschleunigung = 1

     LOCATE(y,x); cout <<  ' ';    // Anzeige lschen
     y += geschw;  x += dx;        // Neue Position

     if( kbhit() != 0 )                 // Taste gedrckt?
     {
        switch(getch())                 // ja 
        {
          case '+':  delay -= delay/5;    // schneller
                     break;
          case '-':  delay += 1+ delay/5; // langsamer
                     break;
          case ESC:  ende = true;       // Pgm. beenden
        }
     }
   }
   NORMAL;
   CLS;
   return 0;
}
