// ------------------------------------------------------------
//  laufband.cpp 
//  Laufband mit einer Meldung ausgeben.
// ------------------------------------------------------------
//  Statt der ANSI-Bildschirmsteuerzeichen werden hier
//  die Funktionen der Windows-API verwendet.
// ------------------------------------------------------------

#include <iostream>
#include <iomanip>
using namespace std;

#include <conio.h>                   // Fr kbhit()
#include "..\..\console\console.h"   // Win32 Konsolenfunktionen

#define DELAY  200L                  // Verzgerung in Millisekunden

inline void locate(int z, int s)     // Cursor in Zeile z
{                                    // und Spalte s positionieren.
   setCursor(z-1,s-1);
}

char meld[] = "* * *  P A U S E  * * * ";

int main()
{
   int i, start = 0, len = strlen(meld);

   cls();
   locate(24, 20);
   cout << "---  Ende mit beliebiger Taste ---"; 

   while( !_kbhit() )
   {
     locate( 12, 25);
     
     // Ausgabe ab Index start
     i = start;
     do
     {
         cout << meld[i++];
         i = i % len;             // if( i == len) i = 0;
     }
     while( i != start);
     
     // Kurz warten
     Sleep(DELAY);

     // Fr nchste Ausgabe
     ++start;
     start %= len;                // start = start % len;
   }
   cls();
   return 0;
}
