// DynStd.cpp 
// Die Operatoren new und delete fr Standard-Typen.
// Das Programm enthlt Fehler!
// ==> voher alle Daten sichern.
// ---------------------------------------------------

#include <iostream>
using namespace std;

int main()
{
   cout << "\n  Tests mit dynamischem Speicher!"
        << endl;

   // Speicher reservieren:
   double breite = 23.78;
   double* ptrBreite  = &breite;
   double* ptrLaenge  = new double(32.54);
   double* ptrFlaeche = new double;
   
   // Mit ptrBreite, ptrLaenge und ptrFlaeche arbeiten

   *ptrFlaeche = *ptrBreite * *ptrLaenge;

// delete ptrLaenge;      // Fehler: Objekt wird noch
                          // benutzt! 

   cout << "\nBreite    : " << *ptrBreite
        << "\nLaenge     : " << *ptrLaenge
        << "\nFlaeche    : " << *ptrFlaeche << endl;

   // Speicher freigeben:
// delete ptrBreite;      // Fehler: Objekt wurde nicht 
                          //         dynamisch reserviert
   delete ptrLaenge;      // ok 
   delete ptrFlaeche;     // ok
   
// delete ptrLaenge;      // Fehler: Zeiger adressiert 
                          //         kein Objekt mehr.

   ptrLaenge = new double(19.45);      // ok

   // Dynamischem Objekt einen Namen geben:
   double& laenge = *ptrLaenge;       // Referenz 

   cout << "\nNeue Laenge: " << laenge 
        << "\nUmfang    : " << 2 * breite * laenge
        << endl;
 
   return 0;             // Noch reservierter Speicher
}                        // wird hier freigegeben.  
