// FloatVek.h : Darstellung dynamischer float-Vektoren.
// --------------------------------------------------

#ifndef _FLOATVEK_
#define _FLOATVEK_

class FloatVek
{
   private:
     float* vekPtr;    // Dynamisches Element
     int max;          // Maximale Anzahl, ohne
                       // erneut Speicher zu resevieren.
     int anz;          // Aktuelle Anzahl Elemente
 
   public:
     FloatVek( int n = 256 );
     FloatVek( int n, float wert);
     
     FloatVek(const FloatVek& src);
     
     ~FloatVek();

     FloatVek& operator=( const FloatVek& );  // Zuweisung
     
     int  length() const { return anz; }
 
     float& operator[](int i);    // Index-Operator.
     float operator[](int i) const;

     bool append(float wert);   // Einen Wert anhngen.
     bool remove(int pos);      // Position pos lschen.
};
#endif   // _FLOATVEK_