// ---------------------------------------------------
// kontsort.cpp: Sortiert einen Vektor von Zeigern
//               auf Konten nach Kontonummern.
// ---------------------------------------------------

#include "konto.h"

void ptrSwap(Konto**, Konto** );

void kontoSort( Konto** kptr, int n)
{
   Konto **temp, **minp, **lastp;
   lastp = kptr + n - 1;    // Zeiger auf letzten Zeiger  
                            // im Vektor.

   for(  ; kptr < lastp; ++kptr )
   {
     minp = kptr;

     for( temp = kptr + 1; temp <= lastp; ++temp )
     { 
       if( (*temp)->getNr() < (*minp)->getNr() )
           minp = temp; 
     }
     ptrSwap( kptr, minp );
   }
}

void ptrSwap( Konto **p1, Konto **p2 )
{
   Konto *help;
   help = *p1; *p1 = *p2; *p2 = help;
}


int main()
{

    Konto* kop[3];

    string name;
    long nr;
    double wert;
    int i;

    cout << "\n3 Konten einlesen: " << endl;
    for( i = 0; i < 3; i++)
    {
        cout << "\nName? " ; cin >> name;
        cout << "\nKontonummer? "; cin >> nr;
        cout << "\nBetrag? "; cin >> wert;

        kop[i] = new Konto(name, nr, wert);
    }

    cin.sync();

    cout << "\n\n\nDer Vektor: " << endl;
    for(i=0; i < 3; i++)
        kop[i]->display();
    cout << endl; cin.get();

    kontoSort(kop, 3);

    cout << "\n\nDer sortierte Vektor: " << endl;
    for(i=0; i < 3; i++)
        kop[i]->display();
    cout << endl; cin.get();

    return 0;
}