// ------------------------------------------------------ 
// quad_t.cpp:  Zum Testen einer quadratischen Matrix
// ------------------------------------------------------ 

#include "quadmat.h"

typedef QuadMatrix< > IntMat;

void display( const IntMat& m );

int main()
{

    IntMat m1, m2;

    try
    {
        for(int i=0; i < m1.dim(); i++)
          for( int j = 0; j < m1.dim(); j++)
          {
            m1[i][j] = i*j;
            m2[i][j] = 1;
          }

      display(m1); cin.get();
      display(m2); cin.get();

      int x,y;
      cout << "Zwei Indizes: ";
      cin >> x >> y;

      cout << "Matrixelement beim Index [" << x << ", " << y << "]: "
           << m1(x,y) << endl;               //  m1[x][y] 
    }
    catch(out_of_range& err )
    {
        cerr << err.what() << endl;
    }

    return 0;
}

void display( const IntMat& m )
{ 
    cout << endl;
    for(int i=0; i < m.dim(); i++)
    {
        for( int j = 0; j < m.dim(); j++)
           cout << m[i][j] << "  ";
        cout << endl;
    }
    cout << endl; 
}
