// -------------------------------------------
// mulmap_t.cpp:    Zum Testen von Multimaps
// -------------------------------------------

#include <map>
#include <string>
#include <iostream>
using namespace std;

typedef multimap<int, string> MULTI_MAP;
typedef MULTI_MAP::iterator ITERATOR;

int main()
{
   MULTI_MAP  m;            // Multimap anlegen.
   ITERATOR pos;            // Iterator.
                            // Einfgen:   
   m.insert(pair<int, string>(7, "Uwe") );        
   m.insert(pair<int, string>(3, "Edith"));
   m.insert(pair<int, string>(1, "Dina"));
   m.insert(pair<int, string>(1, "Lino"));

   cout << "Hier die Multimap: " << endl;
 
   for(pos = m.begin(); pos!= m.end(); pos++)
       cout << pos->first << "  "
            << pos->second << endl;      
   cout << endl;

   pos = m.find(3);       // Paar zum Schlssel suchen
   if( pos != m.end())
     cout << pos->first << "  " << pos->second << endl;

   int key = 1;            // Anzahl Objekte bestimmen
   cout << "Zum Schluessel " << key << " gibt es " 
        <<  m.count(key) << " Objekte " << endl;

   return 0;
}
