// ptrObj.cpp 
// Mit Zeigern auf Objekte der Klasse Konto arbeiten.
// ---------------------------------------------------

#include "konto.h"   // includiert <iostream>, <string>

bool getKonto( Konto *pKonto);            // Prototyp

int main()
{
   Konto giro1, giro2, *ptr = &giro1; 

   ptr->init("Munter, Gabi",       // giro1.init(...)
              3512345, 99.40); 
   ptr->display();                 // giro1.display()

   ptr = &giro2;        // ptr auf giro2 zeigen lassen.

  if( getKonto( ptr))   // Neue Kontodaten einlesen 
      ptr->display();   // und anzeigen
   else
      cout << "Ungltige Eingabe!" << endl;

  return 0;
}

// --------------------------------------------------
// getKonto() liest von der Tastatur die Daten fr
// ein neues Konto ein, das per Zeiger bergeben wird.

bool getKonto( Konto *pKonto)
{
   string name, line(50,'-');
   unsigned long nr;
   double startkapital;
 
   cout << line << '\n'
        << "Daten fr ein neues Konto eingeben: \n"
        << "Kontoinhaber: ";
   if( !getline(cin,name) || name.size() == 0) 
     return false; 

   cout << "Kontonummer:  ";
   if( !(cin >> nr))           return false;
   
   cout << "Startkapital: ";
   if( !(cin >> startkapital)) return false;
   
   // Alle Eingaben ok
   pKonto->init( name, nr, startkapital);

   return true; 
}
