// Array_t.cpp
// Eine einfache Array-Klasse mit Bereichsberprfung.
// -------------------------------------------------- 
#include <iostream>
#include <cstdlib>               // Fr exit()
using namespace std;

#define MAX 100

class FloatVek
{
  private:
    float v[MAX];                // Der Vektor

  public:
    float& operator[](int i); 
    static int MaxIndex(){ return MAX-1; } 
};

float& FloatVek::operator[]( int i )
{
   if( i < 0 || i >= MAX )
   {  cerr << "\nFloatVek: Out of Range!" << endl;
      exit(1);
   }
   return v[i];      // Referenz auf das i-te Element.
}

int main()
{
   cout << "\n Ein Vektor mit Indexberprfung!\n"
        << endl;
   FloatVek zufall;      // Einen Vektor anlegen.
   int i;                // Ein Index.
                         // Mit Zufalls-Euros fllen:
   for( i=0; i <= FloatVek::MaxIndex(); ++i)
      zufall[i] = (rand() - RAND_MAX/2) / 100.0F;

   cout << "\n Bitte Indizes zwischen 0 und "
        << FloatVek::MaxIndex() << " eingeben!"
        << "\n (Abbruch mit ungueltiger Eingabe)"
        << endl;

   while( cout << "\nIndex: " && cin >> i ) 
      cout << i << ". Element:  " << zufall[i];
 
   return 0;
}
