// Euro_t.cpp 
// Die Operatoren der Klasse Euro testen.
// ---------------------------------------------------

#include "Euro.h"         // Definition der Klasse
#include <iostream>
using namespace std;

int main()
{
  cout << "  * * *  Test der Klasse Euro  * * *\n" << endl;

  Euro einkauf( 20,50),
       verkauf;

  verkauf = einkauf;      // Standard-Zuweisung
  verkauf += 9.49;        // += (Euro)9.49

  cout << "Einkaufspreis: " << einkauf << endl;

  cout << "Verkaufspreis: " << verkauf << endl;

  Euro rabatt( 2.10);     // double-Konstruktor
  verkauf -= rabatt;

  cout << "\nVerkaufspreis mit Rabatt: "
       << verkauf << endl;

  // Eingabe testen:
  cout << "\nNeuen Einkaufspreis eingeben!" << endl; 

  if( !(cin  >> einkauf))
    cerr << "Fehlerhafte Eingabe!" << endl;
  else
    cout << "\nNeuer Einkaufspreis: " << einkauf << endl;

  Euro gewinn( verkauf - einkauf);  // Kopier-Konstruktor

  cout << "\nDer Gewinn: "
       << gewinn << endl;           // evtl. negativ!


//  verkauf = einkauf + 10.55;        // ok!
  verkauf = 10.55 + einkauf;        // jetzt auch ok!
  cout << "\nEinkaufspreis + 10.55 = " << verkauf << endl;

// Multiplikation und Division:  
  Euro erg( verkauf * 0.075);
  cout << "\n 7,5% vom Verkaufspreis: " << erg << endl;

  erg = 121 * einkauf;
  cout << "\n 121 Stck kosten im Einkauf: " << erg << endl;

  erg = erg /3.0;
  cout << "\nDavon ein 1/3 : " << erg << endl;

  return 0;
}
