// ------------------------------------------------------
// matrix.cpp : Definition der Mehtoden von Matrix
// ------------------------------------------------------

#include "matrix.h"

Matrix:: Matrix( int z, int s, double wert)
{
    lines = z; cols = s;

    mat = new Zeile*[lines];        // Vektor fr Zeiger
                                    // auf Zeilenvektoren
    int i, j;
    for(i=0; i < lines; i++)        // Zeilenvektoren:
    {
       mat[i] = new Zeile(cols);    // Speicher reservieren
       for(j = 0; j < cols; ++j)
          (*this)[i][j] = wert;     // und Werte kopieren.
    }
}


Matrix:: Matrix( const Matrix& m)
{
    lines = m.lines; cols = m.cols;  // Zeilen, Spalten
                                     
    mat = new Zeile*[lines];         // Vektor fr Zeiger
                                     // auf Zeilenvektoren
    int i, j;
    for(i=0; i < lines; i++)         // Zeilenvektoren:
    {
        mat[i] = new Zeile(cols);    // Speicher reservieren
        for( j = 0; j < cols; ++j)
            (*this)[i][j] = m[i][j]; // und Werte kopieren.
    }
}

                                    
Matrix& Matrix::operator=(const Matrix& m)
{
    int i, j;                   // Alten Speicher freigeben:
    for(i=0; i < lines; i++)
        delete mat[i];
    delete[] mat;

    lines = m.lines; cols = m.cols;  // Zeilen, Spalten
                                     
    mat = new Zeile*[lines];         // Vektor fr Zeilenvektoren
     
    for(i=0; i < lines; ++i)         // Zeilenvektoren:
    {
       mat[i] = new Zeile(cols);     // Speicher reservieren
       for( j = 0; j < cols; ++j)
          (*this)[i][j] = m[i][j];   // und Werte kopieren.
    }

    return *this;
}
 
Matrix& Matrix::operator+=( const Matrix& m)
{
    int i, j;
    if( cols == m.cols && lines == m.lines)
        for( i=0; i < lines; ++i)
            for( j=0; j < cols; ++j)
                (*this)[i][j] += m[i][j];
    
    return *this;
}

