// --------------------------------------------------------
// getbin_t.cpp: Definition und Test der Funktion getbin(),
//               die eine Dualzahl(z.B. 01011) einliest und
//               in eine Dezimalzahl konvertiert.
// --------------------------------------------------------

#include <iostream>
using namespace std;

unsigned int getbin();

int main()
{
   unsigned int result;

   cout << "Bitte Dualzahl eingeben (z.B. 101):" << endl;

   result =  getbin();

   cout << "Der dezimale Wert: " << result << endl;

   return 0;
}

unsigned int getbin()
{
   char c;
   unsigned int wert = 0;

   while ( (c = cin.get()) == ' ' || c == '\t' )
      ;          // Fhrende Blanks und Tabs berlesen

   while( c == '0' || c == '1' )    // Dualzahl einlesen
   {                                // und umwandeln.
      wert = (wert << 1) | (c - '0');
      c = cin.get();
   }

   return wert;
}
