// spez_t.cpp: Zum Testen von Spezialisierungen
// -----------------------------------------------
#include <cstring>
#include <iostream>
using namespace std;

// Funktions-Template:
template <class T>
T minimum( T x, T y)
{
    return( (x < y) ? x : y);
}

// Spezialisierung:
template<>
const char* minimum( const char* s1, const char* s2 )
{
    return (strcmp(s1,s2) < 0) ? s1 : s2;
}

int main()
{
    int x = 1, y = 10;

    cout << "\n1. Zahl: " << x
         << "\n2. Zahl: " << y << endl
         << "\nDie kleinere Zahl: " << minimum(x,y)  << endl;

    const char str1[] = "GROSS", str2[] = "gross";
    cout << "\n1. String: " << str1
         << "\n2. String: " << str2 << endl;
    cout << "\nDer kleinere String: " 
         << minimum(str1, str2) << endl;

    return 0;
}
