// ----------------------------------------------------
// stack_t.cpp: Zum Testen eines Stacks
// ----------------------------------------------------

#include <iostream>
#include <iomanip>
using namespace std;

#include "stack.h"

typedef Stack<unsigned> USTACK;  // Stack fr Elemente  
                                 // vom Typ unsigned.
void fill(  USTACK& stk );
void clear( USTACK& stk );

int main()
{
    USTACK ustk(256);       // Original 
    fill( ustk);            // fllen.
    
    cout << "\nKopie: " << endl;
    USTACK ostk(ustk);      // Kopieren,
    clear( ostk);           // Kopie ausgeben u. leeren.
    cout << "\nOriginal: " << endl;
    clear( ustk );          // Original ausgeben und leeren.
   
    return 0;
}

void fill( USTACK& stk ) 
{
    unsigned x;
    cout << "Positive ganze Zahlen eingeben "
         << "(Abbruch mit 0): \n";

    
    while( cin >> x  && x != 0 )
      if( !stk.push(x) )
      { 
          cerr << "Stack voll!";
          break;
      }
}

void clear( USTACK& stk ) 
{
    if(stk.empty()) 
        cerr << "Stack leer!" << endl;
    else
    {  
       unsigned x;
       
       while( stk.pop(x))
         cout << setw(8) << x << "  ";
       cout << endl;
    }
}
