// ------------------------------------------------
// set_t.cpp:  Zum Testen von Sets und Multisets
// ------------------------------------------------

#include <set>
#include <cstdlib>
#include <ctime>
#include <iostream>
using namespace std;

typedef set<int> IntSet;             // Set fr int-Werte
typedef multiset<int> IntMultiSet;   // Multiset fr int-Werte

int main()
{
   IntSet  lotto;                    // Set anlegen

   srand( (unsigned int)time(NULL)); // Initialisierung des
                                     // des Zufallszahlen-Generators
   while( lotto.size() < 6)          // Einfgen
     lotto.insert( 1 + rand()%49 );      
   
   cout << "Hier Ihre Lottozahlen: " << endl;
   for( auto pos = lotto.begin(); pos != lotto.end(); pos++)
       cout << *pos << "  ";
   cout << endl << endl;
   
   IntMultiSet  ms;                  // Multiset anlegen

   for( int i=0; i < 10; i++)        // Einfgen
     ms.insert( rand()%10 );      
   
   cout << "Und hier 10 Zufallszahlen "
        << "zwischen 0 und 10: " << endl;
   for( auto mpos = ms.begin(); mpos != ms.end(); mpos++)
       cout << *mpos << "  ";
   cout << endl;
   return 0;
}
